Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#1262 closed defect (fixed)

Wrong proxy configuration message for devices with Android >2.3

Reported by: fhd Assignee:
Priority: P1 Milestone: Adblock-Plus-for-Android-1.3
Module: Adblock-Plus-for-Android Keywords:
Cc: rjeschke Blocked By:
Blocking: Platform: Android
Ready: yes Confidential: no
Tester: Verified working: no
Review URL(s):

http://codereview.adblockplus.org/6074937345310720/

Description

Environment

Adblock Plus for Android Revision 333 on Android 4.4.

How to reproduce

  1. Start the app on a device running Android >4.2.2.
  2. Touch "configuration"

Observed behaviour

The message says that you're running a device with Android 2.3 or older, and that proxy configuration is not supported.

Expected behaviour

There should be a message explaining how to configure the proxy on Android >4 devices.

Change History (4)

comment:1 Changed 5 years ago by fhd

The reason for this is that checks for ProxyService.NATIVE_PROXY_SUPPORTED have been replaced with Utils.isNativeProxySupported(this). However, the former used to mean "this device supports proxy configuration AT ALL", while the latter means: "This device supports _automatic_ configuration of the proxy." - two different things we confusingly used the same term for.

comment:2 Changed 5 years ago by rjeschke

  • Resolution set to fixed
  • Status changed from new to closed

comment:3 Changed 5 years ago by rjeschke

  • Review URL(s) modified (diff)

comment:4 Changed 5 years ago by fhd

  • Milestone set to Adblock-Plus-for-Android-1.3
Note: See TracTickets for help on using tickets.